cURL
curl --request GET \
--url https://api.maesn.dev/accounting/asyncTask/{taskId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/asyncTask/{taskId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/asyncTask/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"status": "SUCCESS",
"information": [
{
"filename": "Invoice_V30",
"message": "The document has been received.",
"timestamp": "2021-01-01T00:00:00Z",
"type": "information"
}
],
"responseData": {
"id": "c1f85763-5be6-ee11-a201-6045bde98d28",
"code": "9012",
"createdDate": "2021-01-01T00:00:00Z",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Service and Maintenance Project",
"endDate": "2021-01-01T00:00:00Z",
"name": "Service und Unterhalt",
"parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
"status": "ACTIVE",
"startDate": "2021-01-01T00:00:00Z",
"updatedDate": "2021-01-01T00:00:00Z"
}
}
}Async Task
Get async task info
GET
/
accounting
/
asyncTask
/
{taskId}
cURL
Field support per integration

AbaConnect
AbaConnect
Please ensure the parameter
taskId is accurately populated with the appropriate task ID.
You can obtain this value by executing an asynchronous POST request.For more info about asynchronous tasks visit the Asynchronous Task section.enum
Available options:
IN_PROGRESS, FINISHEDobject
If any response data is returned after the request is finished, you will find it here.

Datev Unternehmen Online
Datev Unternehmen Online
Please ensure the parameter
taskId is accurately populated with the appropriate task ID.
You can obtain this value by executing an asynchronous POST request.For more info about asynchronous tasks visit the Asynchronous Task section.If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.enum
Available options:
OPEN, IN_PROGRESS, SUCCESS, FAILED, PARTIAL_SUCCESS, CANCELLED_SUCCESSFULLY,CANCEL_FAILED
Lexware Office
Lexware Office
Please ensure the parameter
taskId is accurately populated with the appropriate task ID.
You can obtain this value by executing an asynchronous POST request.For more info about asynchronous tasks visit the Asynchronous Task section.enum
Available options:
IN_PROGRESS, SUCCESS, FAILEDobject
If any response data is returned after the request is finished, you will find it here.

Datev Rechnungswesen
Datev Rechnungswesen
Please ensure the parameter
taskId is accurately populated with the appropriate task ID.
You can obtain this value by executing an asynchronous POST or GET request.For more info about asynchronous tasks visit the Asynchronous Task section.If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.The pagination is only supported for asynchronous GET requests. Only
page parameter is accepted. The limit is 50000 entries per page and cannot be modified.number
enum
Available options:
SUCCESS, IN_PROGRESS, FINISHED, FAILED, DELETEDStatus for writing operations :
SUCCESS, IN_PROGRESS, FAILEDStatus for reading operations :
FINISHED, IN_PROGRESS, FAILED, DELETEDobject
If any response data is returned after the request is finished, you will find it here.

SevDesk
SevDesk
Please ensure the parameter
taskId is accurately populated with the appropriate task ID.
You can obtain this value by executing an asynchronous POST request.For more info about asynchronous tasks visit the Asynchronous Task section.enum
Available options:
IN_PROGRESS, SUCCESS, FAILEDobject
If any response data is returned after the request is finished, you will find it here.
Last modified on August 28, 2026
Was this page helpful?